# Class ChangeMethodSignatureArguments.ThrownException

java.lang.Object
org.eclipse.jdt.core.refactoring.participants.ChangeMethodSignatureArguments.ThrownException

Enclosing class:
  `ChangeMethodSignatureArguments`

public static final class ChangeMethodSignatureArguments.ThrownException extends Object
Instances of `ChangeMethodSignatureArguments.ThrownException` are used to describe the new thrown exceptions after a change method signature refactoring.

Since:
  1.2

## Constructor Summary

Constructors
Constructor
Description
`ThrownException(int oldIndex, String newSignature)`
Creates a `ChangeMethodSignatureArguments.ThrownException`.

## Method Summary

Modifier and Type
Method
Description
`int`
`getOldIndex()`
Returns the index of the thrown exception in the original method or `-1` if the thrown exception has been added.
`String`
`getType()`
Returns the new type of the thrown exception in signature notation (See `Signature`).
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ThrownException

public ThrownException(int oldIndex, String newSignature)
Creates a `ChangeMethodSignatureArguments.ThrownException`.

Parameters:
  `oldIndex` - the index of the thrown exception in the original method or `-1` if the thrown exception is a new thrown exception.
  `newSignature` - the new type of the thrown exception in signature notation (See `Signature`).

## Method Details

### getOldIndex

public int getOldIndex()
Returns the index of the thrown exception in the original method or `-1` if the thrown exception has been added.

Returns:
  the index of the parameter in the original method or `-1` if the thrown exception has been added.

### getType

public String getType()
Returns the new type of the thrown exception in signature notation (See `Signature`).

Returns:
  the the new type

### toString

public String toString()

Overrides:
  `toString` in class `Object`